Project

General

Profile

coordination #101382

[openqa][epic] update of assets in openQA

Added by osukup about 1 year ago. Updated 8 months ago.

Status:
Workable
Priority:
Normal
Assignee:
-
Category:
Organisational
Target version:
Start date:
2021-10-22
Due date:
% Done:

100%

Estimated time:
(Total: 0.00 h)
Difficulty:

Subtasks

action #101385: [ux][ui][openqa] remove Bootstrap-tour or use another solutionResolvedosukup

History

#1 Updated by osukup about 1 year ago

  • Description updated (diff)

#2 Updated by okurz about 1 year ago

  • Category set to Organisational
  • Target version set to future

#3 Updated by cdywan 8 months ago

  • Tracker changed from action to coordination
  • Subject changed from [openqa] update of assets in openQA to [openqa][epic] update of assets in openQA
  • Description updated (diff)
  • Status changed from New to Workable

Almost all libraries and other assets used in openQA are 3 or more years old, in most cases with known's security bugs and out of support.

Acceptance criteria

  • AC1: openQA uses Bootstrap 5 everywhere

Suggestions:

  1. update Bootstrap4 to last supported version
  2. migrate to Bootstrap 5
  3. Keep in mind that our test coverage on UX is low, and this is CSS-heavy
  4. Go through every menu item to manually sanity check the migration
  5. Use at least two browsers (or ask a reviewer to do that)

#4 Updated by osukup 8 months ago

  • Assignee set to osukup

PR for bootstrap 4 - 4.6.1 tested by Marius, so today 25.3 force merge and deployment

#5 Updated by osukup 8 months ago

  • Assignee deleted (osukup)

oh ,this is about bootstrap5 , My PR only upgrades to supported bootsrap4, which is small change

#6 Updated by cdywan 8 months ago

osukup wrote:

oh ,this is about bootstrap5 , My PR only upgrades to supported bootsrap4, which is small change

Yes. That's the intermediate step. The final goal is the next major version.

Also available in: Atom PDF